package net.northking.cctp.executePlan.feign.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "场景脚本列表")
public class AtuSceneInfoDetailDto implements Serializable {
    /**
     * 场景脚本ID<br>
     */
    @ApiModelProperty("场景脚本ID")
    @Size(max = 32, message="场景脚本ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 场景脚本名称<br>
     */
    @ApiModelProperty("场景脚本名称")
    @Size(max = 30, message="场景脚本名称-sceneName: 数据长度不能 > 30" )
    private String sceneName;
    /**
     * 场景脚本编码<br>
     */
    @ApiModelProperty("场景脚本编码")
    private String scriptCode;
    /**
     * 最新版本ID<br>
     */
    @ApiModelProperty("最新版本ID")
    private Integer currentVersionId;
    /**
     * 场景脚本地址<br>
     */
    @ApiModelProperty("场景脚本地址")
    @Size(max = 255, message="场景脚本地址-scriptUrl: 数据长度不能 > 255" )
    private String scriptUrl;
    /**
     * 场景脚本输入项数据存储的地址<br>
     */
    @ApiModelProperty("场景脚本输入项数据存储的地址")
    @Size(max = 255, message="场景脚本输入项数据存储的地址-dataUrl: 数据长度不能 > 255" )
    private String dataUrl;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;

    /**
     * 系统名称<br>
     */
    @ApiModelProperty("系统名称")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectName;
    /**
     * 租户号<br>
     */
    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public Integer getCurrentVersionId() {
        return currentVersionId;
    }

    public void setCurrentVersionId(Integer currentVersionId) {
        this.currentVersionId = currentVersionId;
    }

    public String getScriptUrl() {
        return scriptUrl;
    }

    public void setScriptUrl(String scriptUrl) {
        this.scriptUrl = scriptUrl;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public void setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
